summaryrefslogtreecommitdiffstats
path: root/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/etc/rc.local
diff options
context:
space:
mode:
Diffstat (limited to 'build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/etc/rc.local')
-rwxr-xr-xbuild_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/etc/rc.local93
1 files changed, 93 insertions, 0 deletions
diff --git a/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/etc/rc.local b/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/etc/rc.local
new file mode 100755
index 0000000..2d488a2
--- /dev/null
+++ b/build_tools/larch8/larch0/profiles/linhes-local-mirror-testing-i686/rootoverlay/etc/rc.local
@@ -0,0 +1,93 @@
+#!/bin/bash
+#
+# /etc/rc.local: Local multi-user startup script.
+#
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/profile
+. ${MV_ROOT}/bin/install_functions.sh
+
+function mysql_check {
+ mysql -e "show databases;" 2>/dev/null >/dev/null
+ return $?
+}
+
+function mythconverg_check {
+ mysql mythconverg -e "describe settings;" 2>/dev/null >/dev/null
+ return $?
+}
+
+function install_db {
+ pacman --noconfirm -R mythdb-initial 2>/dev/null > /dev/null
+ pacman -S --noconfirm mythdb-initial 2>/dev/null > /dev/null
+}
+
+
+
+
+#check to see if mysql is running
+stat_busy "Checking Mysql"
+ATTEMPT=0
+mysql_check && printhl " Installing the initial database" &&install_db
+mythconverg_check
+status=$?
+while [ ! $status = 0 ]
+do
+ ((ATTEMPT=ATTEMPT+1))
+ /etc/rc.d/mysqld stop
+ sleep 2
+ /etc/rc.d/mysqld start
+ mysqlstatus=$?
+ if [ $mysqlstatus = 0 ]
+ then
+ mysql_check && install_db
+ mythconverg_check
+ status=$?
+ fi
+ if [ $ATTEMPT = 20 ]
+ then
+ printhl " Could not start mysql or install mythconverg within 20 attempts"
+ printhl " Aborting install"
+ exit 20
+ fi
+done
+stat_done
+
+#check network parms
+stat_busy "Checking network"
+init_network
+stat_done
+
+stat_busy "Probing network"
+request_dhcp &
+stat_done
+
+#save some cmdline options
+stat_busy "Parsing command line"
+parse_cmdline_2_db
+bootsplash_setup
+stat_done
+
+#search for remote
+stat_busy "Checking for remote"
+init_remote
+stat_done
+printhl "Finished"
+
+
+echo $CMDLINE | grep -qi NoX
+if [ $? = 0 ]
+then
+ echo ""
+ printhl "No auto X option found"
+ # /usr/bin/chvt 2
+else
+ /root/startx &
+fi
+
+
+# Set up automatically logged in user
+if [ -f /.livesys/autologin ]; then
+ cp /.livesys/autologin /tmp/newuser
+fi
+